Package org.apache.xmlbeans

## Interface XmlGYear

- All Superinterfaces:
    `XmlAnySimpleType`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `XmlGYearImpl`

      public interface XmlGYear
      extends XmlAnySimpleType

  Corresponds to the XML Schema xs:gYear type. A gYear specifies a Gregorian year (AD).

  Convertible to `Calendar`, `GDate`, or an int.

  See Also:
    `XmlCalendar`, `GDate`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static XmlObjectFactory<XmlGYear>` | `Factory` |
    `static SchemaType` | `type` | The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Calendar` | `getCalendarValue()` | Returns this value as a `Calendar`
    `GDate` | `getGDateValue()` | Returns this value as a `GDate`
    `int` | `getIntValue()` | Returns this value as an int from 1-31
    `void` | `setCalendarValue​(Calendar c)` | Sets this value as a `Calendar`
    `void` | `setGDateValue​(GDate gd)` | Sets this value as a `GDateSpecification`
    `void` | `setIntValue​(int v)` | Sets this value as an int from 1-31

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlGYear> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getCalendarValue

          Calendar getCalendarValue()

      Returns this value as a `Calendar`

    - #### setCalendarValue

          void setCalendarValue​(Calendar c)

      Sets this value as a `Calendar`

    - #### getGDateValue

          GDate getGDateValue()

      Returns this value as a `GDate`

    - #### setGDateValue

          void setGDateValue​(GDate gd)

      Sets this value as a `GDateSpecification`

    - #### getIntValue

          int getIntValue()

      Returns this value as an int from 1-31

    - #### setIntValue

          void setIntValue​(int v)

      Sets this value as an int from 1-31